<?php 

namespace App\Http\Resources\Account;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Http\Resources\BaseJsonResource;

class AccountGroupResource extends BaseJsonResource
{
    public function toArray($request)
    {

        $array = [
            'id' => $this->id,
            'parent_id' => $this->parent_id,
            'name' => $this->name,
            'code' => $this->code,
            'affects_gross' => $this->affects_gross,
        ];

        $array = $this->base($array);
        
        return $array;
    }
}